subscriptionsv2.cancel a plan transition for a subscription.
HTTP request
POST https://androidpublisher.googleapis.com/androidpublisher/v3/applications/{packageName}/purchases/subscriptionsv2/tokens/{token}:cancelPlanTransition
The URL uses gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
packageName |
Required. The package of the application for which this subscription was purchased (for example, 'com.some.thing'). |
token |
Required. The token provided to the user's device when the subscription was purchased. |
Request body
The request body contains data with the following structure:
| JSON representation |
|---|
{ "productId": string, "etag": string } |
| Fields | |
|---|---|
productId |
Required. The subscription product (for example, 'premium_plan') for which an in process plan transition should be canceled. |
etag |
If set, the API will fail if the etag does not match the latest etag for this subscription. The etag is retrieved from purchases.subscriptionsv2.get: https://developers.google.com/android-publisher/api-ref/rest/v3/purchases.subscriptionsv2/get |
Response body
If successful, the response body is empty.
Authorization scopes
Requires the following OAuth scope:
https://www.googleapis.com/auth/androidpublisher